# std::complex<T>::real

From cppreference.com
< cpp‎ | numeric‎ | complex

primary template complex<T> |  |
| (1) |
T real() const; |  | (until C++14)
constexpr T real() const; |  | (since C++14)
| (2) |
void real( T value ); |  | (until C++20)
constexpr void real( T value ); |  | (since C++20)
specialization complex<float> |  |
| (1) |
float real() const; |  | (until C++11)
constexpr float real(); |  | (since C++11) (until C++14)
constexpr float real() const; |  | (since C++14)
| (2) |
void real( float value ); |  | (until C++20)
constexpr void real( float value ); |  | (since C++20)
specialization complex<double> |  |
| (1) |
double real() const; |  | (until C++11)
constexpr double real(); |  | (since C++11) (until C++14)
constexpr double real() const; |  | (since C++14)
| (2) |
void real( double value ); |  | (until C++20)
constexpr void real( double value ); |  | (since C++20)
specialization complex<long double> |  |
| (1) |
long double real() const; |  | (until C++11)
constexpr long double real(); |  | (since C++11) (until C++14)
constexpr long double real() const; |  | (since C++14)
| (2) |
void real( long double value ); |  | (until C++20)
constexpr void real( long double value ); |  | (since C++20)

Accesses the real part of the complex number.

1) Returns the real part.
2) Sets the real part to `value`.

### Parameters

value | - | the value to set the real part to

### Return value

1) The real part.
2) (none)

### See also

real | returns the real component (function template)
imag | accesses the imaginary part of the complex number (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/complex/real&oldid=97382"